Package org.apache.sling.testing.mock.sling.servlet

# Class MockJakartaServletContext

java.lang.Object
org.apache.sling.servlethelpers.MockJakartaServletContext
org.apache.sling.testing.mock.sling.servlet.MockJakartaServletContext

All Implemented Interfaces:
  `jakarta.servlet.ServletContext`

public final class MockJakartaServletContext extends org.apache.sling.servlethelpers.MockJakartaServletContext
Mock `ServletContext` implementation.

## Field Summary

### Fields inherited from interface jakarta.servlet.ServletContext

`ORDERED_LIBS, TEMPDIR`

## Constructor Summary

Constructors
Constructor
Description
`MockJakartaServletContext()`

## Method Summary

### Methods inherited from class org.apache.sling.servlethelpers.MockJakartaServletContext

`addFilter, addFilter, addFilter, addJspFile, addListener, addListener, addListener, addServlet, addServlet, addServlet, createFilter, createListener, createServlet, declareRoles, getAttribute, getAttributeNames, getClassLoader, getContext, getContextPath, getDefaultSessionTrackingModes, getEffectiveMajorVersion, getEffectiveMinorVersion, getEffectiveSessionTrackingModes, getFilterRegistration, getFilterRegistrations, getInitParameter, getInitParameterNames, getJspConfigDescriptor, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestCharacterEncoding, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getResponseCharacterEncoding, getServerInfo, getServletContextName, getServletRegistration, getServletRegistrations, getSessionCookieConfig, getSessionTimeout, getVirtualServerName, log, log, removeAttribute, setAttribute, setInitParameter, setRequestCharacterEncoding, setResponseCharacterEncoding, setSessionTimeout, setSessionTrackingModes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockJakartaServletContext

public MockJakartaServletContext()